.technologies{
	margin-top: 30px;
	display: flex;
	align-items: center;
	justify-content: flex-end;
	flex-wrap: wrap;
	.technology{
		margin: 0 10px;
		&:hover{
			.icon{
				&.html{
					svg{
						path{
							fill: var(--html);
						}
					}
				}
				&.css{
					svg{
						path{
							fill: var(--css);
						}
					}
				}
				&.javascript{
					svg{
						path{
							fill: var(--javascript);
						}
					}
				}
				&.scss{
					svg{
						path{
							fill: var(--scss);
						}
					}
				}
				&.angularJS{
					svg{
						path{
							fill: var(--angularJS);
						}
					}
				}
				&.react{
					svg{
						path{
							fill: var(--react);
						}
					}
				}
				&.php{
					svg{
						path{
							fill: var(--php);
						}
					}
				}
				&.database{
					svg{
						path{
							fill: var(--database);
						}
					}
				}
				&.nextJs{
					svg{
						path{
							fill: var(--nextJs);
						}
					}
				}
				&.laravel{
					svg{
						path{
							fill: var(--laravel);
						}
					}
				}
				&.codeigniter{
					svg{
						path{
							fill: var(--codeigniter);
						}
					}
				}
				&.jquery{
					svg{
						path{
							fill: var(--jquery);
						}
					}
				}
				&.bootstrap{
					svg{
						path{
							fill: var(--bootstrap);
						}
					}
				}
				&.tailwind{
					svg{
						path{
							fill: var(--tailwind);
						}
					}
				}
				&.typescript{
					svg{
						rect{
							fill: var(--typescript);
						}
						path{
							fill: #fff;
						}
					}
				}
				&.cra{
					svg{
						path{
							fill: var(--cra);
						}
					}
				}
				&.core_ui{
					svg{
						path{
							fill: var(--core-ui);
						}
					}
				}
				&.ant_design{
					svg{
						stop{
							stop-color: var(--ant-design-1);
						}
						path{
							&:nth-child(1),  &:nth-child(2){
								fill: var(--ant-design-1);
							}
							&:nth-child(3){
								fill: var(--ant-design-2);
							}
						}
						ellipse{
							fill: var(--ant-design-2);
						}
					}
				}
				&.pwa{
					svg{
						path{
							fill: var(--pwa);
						}
					}
				}
			}
		}
		.icon{
			display: flex;
			align-items: center;
			justify-content: center;
			svg{
				width: 25px;
				height: 25px;
				path{
					fill: var(--grayscale-color);
				}
			}
		}
	}
}